You are here

Latest PasswordSafe does not work with Win XP

1 post / 0 new
CrasHBoneS
Offline
Last seen: 1 year 6 months ago
Joined: 2013-03-13 06:59
Latest PasswordSafe does not work with Win XP

Download Details
......
...........
System Requirements: Windows XP, Vista, 7, 8, 10
.................

I installed the app on Win XP System but the app does not work
Pop up window open with this message
"PasswordSafe requires Windows Vista or later"

Please update System requirements